Connect MCP client
curl --request POST \
--url https://api.getcargo.io/v1/ai/mcpClients/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcpClient": {
"kind": "<string>",
"name": "<string>",
"url": "<string>",
"authentication": {
"issuedAt": "<string>",
"accessToken": "<string>",
"expiresIn": 123,
"refreshToken": "<string>",
"scope": "<string>",
"tokenType": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"disabledToolSlugs": [
"<string>"
]
}
}
'import requests
url = "https://api.getcargo.io/v1/ai/mcpClients/connect"
payload = { "mcpClient": {
"kind": "<string>",
"name": "<string>",
"url": "<string>",
"authentication": {
"issuedAt": "<string>",
"accessToken": "<string>",
"expiresIn": 123,
"refreshToken": "<string>",
"scope": "<string>",
"tokenType": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"disabledToolSlugs": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mcpClient: {
kind: '<string>',
name: '<string>',
url: '<string>',
authentication: {
issuedAt: '<string>',
accessToken: '<string>',
expiresIn: 123,
refreshToken: '<string>',
scope: '<string>',
tokenType: '<string>',
clientId: '<string>',
clientSecret: '<string>'
},
disabledToolSlugs: ['<string>']
}
})
};
fetch('https://api.getcargo.io/v1/ai/mcpClients/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "<string>",
"tools": [
{
"slug": "<string>",
"config": {
"jsonSchema": "<unknown>"
},
"description": "<string>"
}
]
}AI - MCP
Connect MCP client
Connect to an MCP client
POST
/
ai
/
mcpClients
/
connect
Connect MCP client
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
MCP client connection details.
- MCP client
- MCP client
Show child attributes
Show child attributes
Was this page helpful?
⌘I

